Skip to main content
GET
/
api
/
publicapi
/
v1
/
skills
/
{skillId}
Gets the detailed information about a skill
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/skills/{skillId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "fields": [
    {
      "name": "<string>",
      "type": "<string>",
      "textFormat": "<string>",
      "isRepeatable": "<string>",
      "children": "<array>"
    }
  ],
  "classes": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "skills": [
    {
      "id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

skillId
string
required

Skill identifier. You can find it in the list of all skills.

Response

Skill info is successfully returned

id
string | null

Id of the skill

name
string | null

Name of the skill

type
enum<string>
Available options:
Classification,
Document,
Process,
Ocr,
Assembling
fields
object[] | null

For document skills.

classes
object[] | null

For classification skills.

skills
object[] | null